> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutation : exporter ZonesMap en Shapefile compressé

Générez une archive ZIP contenant la « ZonesMap » sélectionnée au format shapefile.

{% hint style="info" %}
L’archive contient des fichiers \*.shp, \*.shx, \*.prj et \*.dbf au format EPSG:4326.
{% endhint %}

### 1. Préparation

* L’attribut `vectorAnalysisMaps` contient un tableau d’objets ZonesMaps (VectorAnalysisMaps) à exporter. Chaque objet de ce type comprend une paire de `fieldUuid` (lien vers le champ sélectionné) et de `uuid` (lien vers la ZonesMap sélectionnée).
* L’attribut booléen `asMultiGeometry` détermine si les zones sont exportées sous forme de `Polygons` ou de `MultiPolygons` (lorsqu’il est défini sur `true` ).
* L’attribut booléen `onlyProductColumns` indique si seuls les champs contenant des produits (RX) doivent être inclus dans le shapefile (lorsqu’il est défini sur `true`). Sinon, tous les attributs statistiques et les identifiants de zone seront inclus sous forme de champs.
* L’attribut `archiveName` contient le nom de l’archive ZIP générée.
* L’attribut `filePostfix` permet d’ajouter des suffixes personnalisés aux fichiers exportés et à l’archive.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Télécharger l’archive générée

Après l’exécution de la requête GraphQL, il est possible de la télécharger à l’aide de `curl` ou d’une méthode similaire.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
